API Reference
/
Widget
/
MonthlyCAPTrendV202302
GET
/api/v202302/widget/monthlysavingstrend/{specificWidgetId}
Retrieves monthly savings trend data for a widget
MonthlyCAPTrendV202302
Use this endpoint to get monthly cost avoidance trend data.
Supersedes the V3 monthly savings trend endpoint. Supports global dashboard filter overrides.
Request Headers
Path Parameters
Query Parameters
Filters
Responses
Path Parameters
Name
Description
Type
Required
specificWidgetId
Unique numeric identifier of the specific Monthly Savings Trend widget instance
integer (int32)
Required
Query Parameters
Name
Description
Type
Required
filter
Optional global dashboard filter that adds to or overrides saved widget filter values
string (string)
Optional
Filters
Filter
Description
Type
Operators
accountId
Integer
equals
budgetVersionId
Integer
equals
Channel
Channel
String
equals
chartType
Chart Type
String
equals
commodityCategoryID
Integer
equals
commodityId
Integer
equals
cumulative
Display as Cumulative
Boolean
equals
DataPointID
Integer
equals
emissionSourceId
Integer
equals
EsaChannelID
Integer
equals
esaIntervalWidgetGroupBy
Group By
String
equals
includeAccountCharges
Include Account Charges
Boolean
equals
includeAccruals
Include Accruals
Boolean
equals
meterGroupInfo
Meter Group Display
String
equals
meterId
Integer
equals
numberOfYears
Integer
equals
placeGroupId
Integer
equals
placeGroupName
Place Group Name
String
equals
rateId
Integer
equals
readingDate
Reading Date
DateTime
equals
between
today
yesterday
last 7 days
last 14 days
last 30 days
last 60 days
last 90 days
Schedule
Schedule
String
equals
topmostCollectionId
Integer
equals
topmostCostCenterId
Integer
equals
topmostPlaceCode
Topmost Place Code
String
equals
topmostPlaceId
Integer
equals
topmostPlaceName
Topmost Place Name
String
equals
vendorId
Integer
equals
Responses
Response Body Parameters
AggregatedMonthlyCAPTrendResponse
Property
Description
Type
dataDetails
The data details
MonthlyCAPTrend[]
MonthlyCAPTrend properties
Property
Description
Type
actualCost
The actual cost
number (double)
avoidedCost
The avoided cost
number (double)
billingPeriod
The billing period
integer (int32)
capCost
The cap cost
number (double)
fiscalPeriod
The fiscal period
integer (int32)
percentCost
The percent cost
number (double)
fiscalPeriodRange
PeriodRange
PeriodRange properties
Property
Description
Type
endPeriod
The end period for the range
integer (int32)
startPeriod
The start period for the range
integer (int32)
{ "dataDetails" : [
{ "actualCost" : 1.0 , "avoidedCost" : 1.0 , "billingPeriod" : 1 , "capCost" : 1.0 , "fiscalPeriod" : 1 , "percentCost" : 1.0
}
] , "fiscalPeriodRange" : { "endPeriod" : 1 , "startPeriod" : 1
}
}